GLPoint (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.graphicLoader
Class GLPoint

    java.lang.Object
      com.bbn.openmap.omGraphics.geom.BasicGeometry
          com.bbn.openmap.omGraphics.OMGraphicAdapter
              com.bbn.openmap.omGraphics.OMPoint
                  com.bbn.openmap.graphicLoader.GLPoint

All Implemented Interfaces:
  OMGeometry, OMGraphic, OMGraphicConstants, java.awt.event.ActionListener, java.awt.event.FocusListener, java.io.Serializable, java.lang.Cloneable, java.util.EventListener

Direct Known Subclasses:
  PathGLPoint

    public class GLPoint

extends OMPoint
implements java.awt.event.ActionListener, java.awt.event.FocusListener

A GLPoint is a location on the map. It can move around randomly if it's not set to be stationary, and will change color if it can see any other point.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class com.bbn.openmap.omGraphics.OMPoint
`OMPoint.Image`

Field Summary
`static java.awt.Color` | `CONNECTED_COLOR`
`static java.awt.Color` | `DISCONNECTED_COLOR`
`protected int` | `height`
`static java.lang.String` | `MoveCmd`
`protected java.lang.String` | `name`
`protected java.awt.Container` | `palette`
`protected boolean` | `stationary`

Fields inherited from class com.bbn.openmap.omGraphics.OMPoint
`DEFAULT_ISOVAL, DEFAULT_RADIUS, lat1, lon1, oval, radius, x, y`

Fields inherited from class com.bbn.openmap.omGraphics.OMGraphicAdapter
`declutterType, displayPaint, edgeMatchesFill, fillPaint, hasLabel, linePaint, matted, mattingPaint, renderType, selected, selectPaint, showEditablePalette, stroke, textureMask`

Fields inherited from class com.bbn.openmap.omGraphics.geom.BasicGeometry
`attributes, lineType, needToRegenerate, shape, visible`

Fields inherited from interface com.bbn.openmap.omGraphics.OMGraphicConstants
`ADD_GRAPHIC_MASK, APP_OBJECT, BASIC_STROKE, CHANGE_APPEARANCE, clear, DECIMAL_DEGREES, DECLUTTERTYPE_LINE, DECLUTTERTYPE_MOVE, DECLUTTERTYPE_NONE, DECLUTTERTYPE_SPACE, DEFAULT_ROTATIONANGLE, DELETE_GRAPHIC_MASK, DESELECT_GRAPHIC_MASK, DESELECTALL_GRAPHIC_MASK, GRAPHICTYPE_ARC, GRAPHICTYPE_BITMAP, GRAPHICTYPE_CIRCLE, GRAPHICTYPE_ELLIPSE, GRAPHICTYPE_GRAPHIC, GRAPHICTYPE_GRID, GRAPHICTYPE_LINE, GRAPHICTYPE_POINT, GRAPHICTYPE_POLY, GRAPHICTYPE_RASTER, GRAPHICTYPE_RECTANGLE, GRAPHICTYPE_TEXT, INDEX, INFOLINE, LABEL, LINETYPE_GREATCIRCLE, LINETYPE_RHUMB, LINETYPE_STRAIGHT, LINETYPE_UNKNOWN, LOWER_GRAPHIC_MASK, LOWER_TO_BOTTOM_GRAPHIC_MASK, NO_ROTATE, OMGRAPHIC_ELT, OMGRAPHIC_TYPE_ATTR, RADIANS, RAISE_GRAPHIC_MASK, RAISE_TO_TOP_GRAPHIC_MASK, REMOVABLE, RENDERTYPE_LATLON, RENDERTYPE_OFFSET, RENDERTYPE_UNKNOWN, RENDERTYPE_XY, SELECT_GRAPHIC_MASK, SORT_GRAPHICS_MASK, TOOLTIP, UPDATE_GRAPHIC_MASK, UPDATED`

Constructor Summary
`GLPoint(double lat, double lon, int radius, boolean isOval)`

Method Summary
`void` | `actionPerformed(java.awt.event.ActionEvent ae)`
`void` | `connected(boolean connected)`
`void` | `focusGained(java.awt.event.FocusEvent e)`
`void` | `focusLost(java.awt.event.FocusEvent e)`
`java.awt.Component` | `getGUI()` Gets the gui controls associated with the GLPoint.
`int` | `getHeight()`
`java.lang.String` | `getName()`
`boolean` | `getStationary()`
`void` | `hidePalette()` Hide the GLPoint's palette.
`void` | `move(float factor)`
`void` | `move(int distance, Length units, float Az)`
`protected void` | `moveRandomly(float factor)`
`void` | `resetConnected()`
`void` | `setHeight(int h)`
`void` | `setName(java.lang.String set)`
`void` | `setStationary(boolean set)`
`void` | `showPalette()` Make the palette visible.

Methods inherited from class com.bbn.openmap.omGraphics.OMPoint
`generate, getLat, getLon, getRadius, getX, getY, hasLineTypeChoice, isOval, restore, set, set, set, setLat, setLon, setOval, setRadius, setX, setY`

Methods inherited from class com.bbn.openmap.omGraphics.OMGraphicAdapter
`clone, deselect, distance, getDeclutterType, getDisplayColor, getDisplayPaint, getEdgeMatchesFill, getFillColor, getFillPaint, getHasLabel, getLineColor, getLinePaint, getMattingPaint, getRenderType, getSelectColor, getSelectPaint, getShowEditablePalette, getStroke, getTextureMask, initLabelingDuringGenerate, isClear, isMatted, isSelected, normalizeDistanceForLineWidth, readStroke, readTextureMask, regenerate, render, renderLabel, renderShape, select, setDeclutterType, setEdgeMatchesFill, setFillColor, setFillPaint, setGraphicsColor, setGraphicsForEdge, setGraphicsForFill, setHasLabel, setLabelLocation, setLabelLocation, setLabelLocation, setLabelLocation, setLabelLocation, setLabelLocation, setLabelLocation, setLabelLocation, setLineColor, setLinePaint, setMatted, setMattingPaint, setRenderType, setSelectColor, setSelected, setSelectPaint, setShowEditablePalette, setStroke, setTextureMask, shouldRenderEdge, shouldRenderFill, writeStroke, writeTextureMask`

Methods inherited from class com.bbn.openmap.omGraphics.geom.BasicGeometry
`_distance, appendShapeEdge, appendShapeEdge, appendShapeEdge, appendShapeEdge, clearAttributes, contains, createAttributeMap, createBoxShape, createShape, createShape, describeShapeDetail, describeShapeDetail, distanceToEdge, distanceToEdge, draw, draw, fill, fill, getAppObject, getAttribute, getAttributes, getDescription, getLineType, getNeedToRegenerate, getShape, isRenderable, isRenderable, isVisible, putAttribute, removeAttribute, setAppObject, setAttributes, setLineType, setNeedToRegenerate, setShape, setVisible`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.bbn.openmap.omGraphics.OMGraphic
`clone, deselect, getDeclutterType, getDisplayColor, getDisplayPaint, getFillColor, getFillPaint, getLineColor, getLinePaint, getMattingPaint, getRenderType, getSelectColor, getSelectPaint, getShowEditablePalette, getStroke, getTextureMask, isMatted, isSelected, normalizeDistanceForLineWidth, regenerate, renderLabel, select, setDeclutterType, setFillPaint, setGraphicsColor, setGraphicsForEdge, setGraphicsForFill, setLabelLocation, setLabelLocation, setLabelLocation, setLinePaint, setMatted, setMattingPaint, setRenderType, setSelected, setSelectPaint, setShowEditablePalette, setStroke, setTextureMask, shouldRenderEdge, shouldRenderFill`

Methods inherited from interface com.bbn.openmap.omGraphics.OMGeometry
`clearAttributes, contains, distance, distanceToEdge, draw, draw, fill, fill, getAppObject, getAttribute, getAttributes, getDescription, getLineType, getNeedToRegenerate, getShape, isRenderable, isRenderable, isVisible, putAttribute, removeAttribute, render, setAppObject, setAttributes, setLineType, setNeedToRegenerate, setShape, setVisible`

Field Detail

### CONNECTED_COLOR

    public static java.awt.Color CONNECTED_COLOR

### DISCONNECTED_COLOR

    public static java.awt.Color DISCONNECTED_COLOR

### stationary

    protected boolean stationary

### name

    protected java.lang.String name

### height

    protected int height

### palette

    protected transient java.awt.Container palette

### MoveCmd

    public static final java.lang.String MoveCmd

See Also:
  Constant Field Values

Constructor Detail

### GLPoint

    public GLPoint(double lat,
                   double lon,
                   int radius,
                   boolean isOval)

Method Detail

### resetConnected

    public void resetConnected()

### connected

    public void connected(boolean connected)

### moveRandomly

    protected void moveRandomly(float factor)

### move

    public void move(float factor)

### move

    public void move(int distance,
                     Length units,
                     float Az)

### setStationary

    public void setStationary(boolean set)

### getStationary

    public boolean getStationary()

### setName

    public void setName(java.lang.String set)

### getName

    public java.lang.String getName()

### setHeight

    public void setHeight(int h)

### getHeight

    public int getHeight()

### showPalette

    public void showPalette()

  Make the palette visible. Will automatically determine if we're running in an applet environment and will use a JInternalFrame over a JFrame if necessary.

### hidePalette

    public void hidePalette()

  Hide the GLPoint's palette.

### getGUI

    public java.awt.Component getGUI()

  Gets the gui controls associated with the GLPoint. This default implementation returns null indicating that the GLPoint has no gui controls.

  Returns:
    java.awt.Component or null

### actionPerformed

    public void actionPerformed(java.awt.event.ActionEvent ae)

  Specified by:
    `actionPerformed` in interface `java.awt.event.ActionListener`

### focusGained

    public void focusGained(java.awt.event.FocusEvent e)

  Specified by:
    `focusGained` in interface `java.awt.event.FocusListener`

### focusLost

    public void focusLost(java.awt.event.FocusEvent e)

  Specified by:
    `focusLost` in interface `java.awt.event.FocusListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details